main = "src/index.ts"
compatibility_date = "2025-05-05"

[observability]
enabled = true
head_sampling_rate = 1

[env.prod]
name = "device-attestation-prod"
workers_dev = false
routes = [
    { pattern = "device-attestation-prod.suno.com", custom_domain = true },
]

[env.prod.vars]
PLAY_API_KEY = "123-todo-prod"
ENV_NAME = "prod"

[env.staging]
name = "device-attestation-staging"
routes = [
    { pattern = "device-attestation-staging.suno.com", custom_domain = true },
]

[env.staging.vars]
PLAY_API_KEY = "123-todo-staging"
ENV_NAME = "staging"

[env.dev]
name = "device-attestation-dev"


[env.dev.vars]
PLAY_API_KEY = "123-todo-dev"
ENV_NAME = "dev"